triangle3d(3)

NAME
triangle3d, triangle3d_f

SYNOPSIS
#include <allegro.h>

void triangle3d(BITMAP *bmp, int type, BITMAP *tex, V3D *v1, *v2, *v3); void triangle3d_f(BITMAP *bmp, int type, BITMAP *tex, V3D_f *v1, *v2, *v3);

DESCRIPTION
Draw 3d triangles, using either fixed or floating point vertex structures. Unlike quad3d[_f], triangle3d[_f] functions are not wrappers of polygon3d[_f]. The triangle3d[_f] functions use their own routines taking into account the constantness of the gradients. Therefore triangle3d[_f](bmp, type, tex, v1, v2, v3) is faster than polygon3d[_f](bmp, type, tex, 3, v[]).

SEE ALSO
polygon3d(3), quad3d(3), triangle(3)